package com.xkrs.model.qo;

import com.xkrs.model.validation.ProductQoInsert;

import javax.persistence.Column;
import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Author: XinYi Song
 * @Date: 2021/12/15 15:29
 */
public class ProductQo {

    /**
     * 商品名称
     */
    @NotBlank(message = "{Product.productName.null}",groups={ProductQoInsert.class})
    private String productName;

    /**
     * 商品描述
     */
    @NotBlank(message = "{Product.productDescription.null}",groups={ProductQoInsert.class})
    private String productDescription;

    /**
     * 商品分类
     */
    private Integer productCategories;

    /**
     * 商品价格
     */
    @NotBlank(message = "{Product.productPrice.null}",groups={ProductQoInsert.class})
    private BigDecimal productPrice;

    private List<String> productCover;

    private List<String> productContent;

    /**
     * 省
     */
    @NotBlank(message = "{Product.productPro.null}",groups={ProductQoInsert.class})
    private String productPro;

    /**
     * 市
     */
    @NotBlank(message = "{Product.productCity.null}",groups={ProductQoInsert.class})
    private String productCity;

    /**
     * 区
     */
    @NotBlank(message = "{Product.productCounty.null}",groups={ProductQoInsert.class})
    private String productCounty;

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductDescription() {
        return productDescription;
    }

    public void setProductDescription(String productDescription) {
        this.productDescription = productDescription;
    }

    public Integer getProductCategories() {
        return productCategories;
    }

    public void setProductCategories(Integer productCategories) {
        this.productCategories = productCategories;
    }

    public BigDecimal getProductPrice() {
        return productPrice;
    }

    public void setProductPrice(BigDecimal productPrice) {
        this.productPrice = productPrice;
    }

    public List<String> getProductCover() {
        return productCover;
    }

    public void setProductCover(List<String> productCover) {
        this.productCover = productCover;
    }

    public List<String> getProductContent() {
        return productContent;
    }

    public void setProductContent(List<String> productContent) {
        this.productContent = productContent;
    }

    public String getProductPro() {
        return productPro;
    }

    public void setProductPro(String productPro) {
        this.productPro = productPro;
    }

    public String getProductCity() {
        return productCity;
    }

    public void setProductCity(String productCity) {
        this.productCity = productCity;
    }

    public String getProductCounty() {
        return productCounty;
    }

    public void setProductCounty(String productCounty) {
        this.productCounty = productCounty;
    }
}
